package com.inspect.metadata.montdata.mapper;

import com.inspect.metadata.montdata.domain.BasedataMontNestRunData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataMontNestRunDataMapper {
    BasedataMontNestRunData selectBasedataMontNestRunDataByMontNestRunDataId(Long id);

    List<BasedataMontNestRunData> selectBasedataMontNestrundataList(BasedataMontNestRunData runData);

    int insertBasedataMontNestRunData(BasedataMontNestRunData runData);

    int updateBasedataMontNestRunData(BasedataMontNestRunData runData);

    int deleteBasedataMontNestRunDataByMontNestRunDataId(Long id);

    int deleteBasedataMontNestRunDataByMontNestRunDataIds(Long[] ids);
}
